Package org.silverpeas.mobile.shared.dto.classifieds

## Class ClassifiedsDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.classifieds.ClassifiedsDTO

- All Implemented Interfaces:
    `Serializable`

      public class ClassifiedsDTO
      extends BaseDTO

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassifiedsDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getCategories()` |
    `List<ClassifiedDTO>` | `getClassifieds()` |
    `boolean` | `getHasComments()` |
    `Map<String,​String>` | `getTypes()` |
    `void` | `setCategories​(Map<String,​String> categories)` |
    `void` | `setClassifieds​(List<ClassifiedDTO> classifieds)` |
    `void` | `setHasComments​(boolean hasComments)` |
    `void` | `setTypes​(Map<String,​String> types)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassifiedsDTO

          public ClassifiedsDTO()

  - ### Method Detail

    - #### getTypes

          public Map<String,​String> getTypes()

    - #### getClassifieds

          public List<ClassifiedDTO> getClassifieds()

    - #### getCategories

          public Map<String,​String> getCategories()

    - #### setClassifieds

          public void setClassifieds​(List<ClassifiedDTO> classifieds)

    - #### setTypes

          public void setTypes​(Map<String,​String> types)

    - #### setCategories

          public void setCategories​(Map<String,​String> categories)

    - #### getHasComments

          public boolean getHasComments()

    - #### setHasComments

          public void setHasComments​(boolean hasComments)